@echo off
echo ##################################
echo 		Run CW Console
echo ##################################
"%CWFolder_NITRO%\bin\cmdide" /d "X:\Compile\bin\Make_ds.tcl"
IF ERRORLEVEL 0 GOTO code0
IF ERRORLEVEL 1 GOTO code1
IF ERRORLEVEL 2 GOTO code2
IF ERRORLEVEL 3 GOTO code3
IF ERRORLEVEL 4 GOTO code4
IF ERRORLEVEL 5 GOTO code5
IF ERRORLEVEL 6 GOTO code6
IF ERRORLEVEL 7 GOTO code7
IF ERRORLEVEL 8 GOTO code8
IF ERRORLEVEL 9 GOTO code9
IF ERRORLEVEL 10 GOTO code10
IF ERRORLEVEL 11 GOTO code11
IF ERRORLEVEL 12 GOTO code12
IF ERRORLEVEL 13 GOTO code13
IF ERRORLEVEL 14 GOTO code14
:code0
@echo Code 0 No error.
GOTO END
:code1
@echo Code 1 error opening file.
GOTO END
:code2
@echo Code 2 project not open.
GOTO END
:code3
@echo Code 3 IDE is already building.
GOTO END
:code4
@echo Code 4 invalid target name (for /t flag).
GOTO END
:code5
@echo Code 5 error changing current target.
GOTO END
:code6
@echo Code 6 error removing objects.
GOTO END
:code7
@echo Code 7 build was cancelled.
GOTO END
:code8
@echo Code 8 build failed.
GOTO END
:code9
@echo Code 9 process aborted.
GOTO END
:code10
@echo Code 10 error importing project.
GOTO END
:code11
@echo Code 11 error executing debug script.
GOTO END
:code12
@echo Code 12 attempted use of /d together with /b and/or /r.
GOTO END
:code13
@echo Code 13 licensing failed.
GOTO END
:code14
@echo Code 14 error executing extended command(s).
:END


